# InformationApi

All URIs are relative to *<https://api.ionos.com>*

| Method                                                    | HTTP request                             | Description                         |
| --------------------------------------------------------- | ---------------------------------------- | ----------------------------------- |
| [**get\_info**](#get_info)                                | **GET** /certificatemanager              | Get the Service API Information     |
| [**get\_json\_open\_api\_spec**](#get_json_open_api_spec) | **GET** /certificatemanager/openapi.json | Get the Open API Documentation JSON |
| [**get\_yaml\_open\_api\_spec**](#get_yaml_open_api_spec) | **GET** /certificatemanager/openapi.yaml | Get the Open API Documentation YAML |

## get\_info

> get\_info

Get the Service API Information

Retrieves the service API information.

### Examples

```ruby
require 'time'
require 'ionoscloud-cert-manager'
# setup authorization
IonoscloudCertManager.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: tokenAuth
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = IonoscloudCertManager::InformationApi.new

begin
  # Get the Service API Information
  result = api_instance.get_info
  p result
rescue IonoscloudCertManager::ApiError => e
  puts "Error when calling InformationApi->get_info: #{e}"
end
```

#### Using the get\_info\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(, Integer, Hash)> get\_info\_with\_http\_info

```ruby
begin
  # Get the Service API Information
  data, status_code, headers = api_instance.get_info_with_http_info
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <ApiInfoDto>
rescue IonoscloudCertManager::ApiError => e
  puts "Error when calling InformationApi->get_info_with_http_info: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**ApiInfoDto**](https://github.com/ionos-cloud/sdk-ruby-cert-manager/blob/master/docs/api/ApiInfoDto.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## get\_json\_open\_api\_spec

> File get\_json\_open\_api\_spec

Get the Open API Documentation JSON

Displays the Open API documentation in the JSON format.

### Examples

```ruby
require 'time'
require 'ionoscloud-cert-manager'
# setup authorization
IonoscloudCertManager.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: tokenAuth
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = IonoscloudCertManager::InformationApi.new

begin
  # Get the Open API Documentation JSON
  result = api_instance.get_json_open_api_spec
  p result
rescue IonoscloudCertManager::ApiError => e
  puts "Error when calling InformationApi->get_json_open_api_spec: #{e}"
end
```

#### Using the get\_json\_open\_api\_spec\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(File, Integer, Hash)> get\_json\_open\_api\_spec\_with\_http\_info

```ruby
begin
  # Get the Open API Documentation JSON
  data, status_code, headers = api_instance.get_json_open_api_spec_with_http_info
  p status_code # => 2xx
  p headers # => { ... }
  p data # => File
rescue IonoscloudCertManager::ApiError => e
  puts "Error when calling InformationApi->get_json_open_api_spec_with_http_info: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

**File**

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## get\_yaml\_open\_api\_spec

> File get\_yaml\_open\_api\_spec

Get the Open API Documentation YAML

Displays the Open API documentation in the YAML format.

### Examples

```ruby
require 'time'
require 'ionoscloud-cert-manager'
# setup authorization
IonoscloudCertManager.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: tokenAuth
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = IonoscloudCertManager::InformationApi.new

begin
  # Get the Open API Documentation YAML
  result = api_instance.get_yaml_open_api_spec
  p result
rescue IonoscloudCertManager::ApiError => e
  puts "Error when calling InformationApi->get_yaml_open_api_spec: #{e}"
end
```

#### Using the get\_yaml\_open\_api\_spec\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(File, Integer, Hash)> get\_yaml\_open\_api\_spec\_with\_http\_info

```ruby
begin
  # Get the Open API Documentation YAML
  data, status_code, headers = api_instance.get_yaml_open_api_spec_with_http_info
  p status_code # => 2xx
  p headers # => { ... }
  p data # => File
rescue IonoscloudCertManager::ApiError => e
  puts "Error when calling InformationApi->get_yaml_open_api_spec_with_http_info: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

**File**

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/yaml


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cert-manager-sdk-ruby/api/informationapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
